# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | List of all members
DBus::PropertiesProxy Class Reference

`#include <property.h>`

Inheritance diagram for DBus::PropertiesProxy:

## Public Member Functions

| PropertiesProxy ()
Variant | Get (const std::string &interface, const std::string &property)
void | Set (const std::string &interface, const std::string &property, const Variant &value)
Public Member Functions inherited from DBus::InterfaceProxy
| InterfaceProxy (const std::string &name)
Message | invoke_method (const CallMessage &)
bool | invoke_method_noreply (const CallMessage &call)
bool | dispatch_signal (const SignalMessage &)
Public Member Functions inherited from DBus::Interface
| Interface (const std::string &name)
virtual | ~Interface ()
const std::string & | name () const
Public Member Functions inherited from DBus::ProxyBase
virtual const ObjectProxy * | object () const =0

## Additional Inherited Members

Protected Member Functions inherited from DBus::ProxyBase
InterfaceProxy * | find_interface (const std::string &name)
virtual | ~ProxyBase ()
virtual Message | _invoke_method (CallMessage &)=0
virtual bool | _invoke_method_noreply (CallMessage &call)=0
Protected Attributes inherited from DBus::InterfaceProxy
SignalTable | _signals
Protected Attributes inherited from DBus::ProxyBase
InterfaceProxyTable | _interfaces

## Detailed Description

Definition at line 89 of file property.h.

## Constructor & Destructor Documentation

## ◆ PropertiesProxy()

PropertiesProxy::PropertiesProxy | ( |  | ) |

Definition at line 139 of file property.cpp.

References DBus::InterfaceProxy::InterfaceProxy(), and properties_name.

## Member Function Documentation

## ◆ Get()

Variant PropertiesProxy::Get | ( | const std::string & | interface,
|  | const std::string & | property )

Definition at line 144 of file property.cpp.

## ◆ Set()

void PropertiesProxy::Set | ( | const std::string & | interface,
|  | const std::string & | property,
|  | const Variant & | value )

Definition at line 151 of file property.cpp.

The documentation for this class was generated from the following files:

- property.h
- property.cpp